QamaqQamaq
PATCH

Webhook aktualisieren

/webhooks/{webhook_id}

Aktualisiert die Eigenschaften eines Webhooks.

Parameter

Pfadparameter

NameTypBeschreibung
webhook_iderforderlich
string

The webhook ID

Anfragekörper

application/jsonerforderlich
{
name:string
url:string
events:string[]
secret:string
headers:object
is_active:boolean
}

Code-Beispiele

curl -X PATCH "https://api.qamaq.io/api/v1/webhooks/{webhook_id}" \
  -H "Authorization: Bearer qmq_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"key": "value"}'

Antworten

200Webhook updated successfully

Response Body

{
id:string
name:string
url:string
events:string[]
has_secret:boolean
headers:object
is_active:boolean
last_triggered_at:string (date-time)
last_status:string
failure_count:integer
created_at:string (date-time)
updated_at:string (date-time)
}